#
# spec file for package yast2-trans-nb (Version 2.9.9)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  autoconf automake gettext yast2-devtools

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db4 MAKEDEV diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-common gpm grep groff gzip info chkconfig kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netconfig openldap-clients openssl pam patch popt procinfo procps psmisc shadow-utils rcs readline sed strace sysklogd SysVinit tar tcp_wrappers texinfo tzdata unzip util-linux vim-common zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm yast2-devtools suse-macros

Name:         yast2-trans-nb
Version:      2.9.9
Release:      1.2
License:      GPL
Group:        System/YaST
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      yast2-trans-nb-2.9.9.tar.bz2
prefix:		/usr
BuildArchitectures:	noarch
Summary:      YaST2 - Norwegian Translations (Norwegian Bokmaal)
%define Y2LANG nb

%description
YaST2 - Norwegian Translations (Norwegian Bokmaal)

%prep
%setup -n yast2-trans-nb-2.9.9

%build
autoreconf --force --install
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix}
%if %ul_version > 0
for f in po/*.po ; do
  cp $f $f.orig
  awk -f %{prefix}/lib/YaST2/bin/cleanuppo.awk $f.orig >$f
done
%endif
%if %sles_version == 8
for f in po/*.po ; do
  cp $f $f.orig
  awk -f %{prefix}/lib/YaST2/bin/cleanuppo.awk -v sles=8 $f.orig >$f
done
%endif
make %{?jobs:-j%jobs}

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc %{prefix}/share/doc/packages/yast2-trans-nb
/usr/share/YaST2/locale

%changelog -n yast2-trans-nb
* Fri Mar 09 2007 - pearly.zhao@oracle.com
- Port to RHEL/EL
* Mon Jun 28 2004 - ke@suse.de
- Update to version 2.9.9.
* Mon Jun 28 2004 - ke@suse.de
- Fix broken encoding; reported and patch provided by Oystein Olsen
  [#42497].
* Wed Jun 02 2004 - ke@suse.de
- Update to version 2.9.8.
* Fri Apr 02 2004 - ke@suse.de
- Update to version 2.9.7.
* Wed Mar 31 2004 - ke@suse.de
- Update to version 2.9.6.
* Fri Mar 26 2004 - ke@suse.de
- Update to version 2.9.5.
* Fri Mar 19 2004 - ke@suse.de
- Update to version 2.9.4.
* Tue Mar 16 2004 - ke@suse.de
- Update to version 2.9.3.
* Mon Mar 15 2004 - ke@suse.de
- Update to version 2.9.2.
* Mon Feb 23 2004 - ke@suse.de
- Update to version 2.9.1.
* Mon Feb 23 2004 - ke@suse.de
- Update to version 2.8.3.
* Mon Feb 23 2004 - ke@suse.de
- Update to version 2.8.2.
* Mon Feb 23 2004 - ke@suse.de
- Update to version 2.8.1.
* Mon Feb 23 2004 - ke@suse.de
- initial version
